"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const chalk = require("chalk");
let level = 4;
const levels = {
    error: 0,
    warn: 1,
    info: 2,
    debug: 3,
    success: -Infinity,
    question: -Infinity,
};
const methodColors = {
    error: 'red',
    warn: 'yellow',
    info: 'grey',
    success: 'green',
    question: 'cyan',
    debug: 'magenta'
};
exports.logger = {};
exports.colors = {};
exports.setLevel = value => {
    level = value;
};
_.forEach(methodColors, (color, loggerMethod) => {
    exports.logger[loggerMethod] = (...args) => {
        if (level >= levels[loggerMethod]) {
            console.log(chalk[color](...args));
        }
    };
    exports.colors[loggerMethod] = (...args) => chalk[color](...args);
});
//# sourceMappingURL=logger.js.map